Bug 145056 - CAN-2005-0064 xpdf buffer overflow
CAN-2005-0064 xpdf buffer overflow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
impact=important,embargoed=20050118
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 17:50 EST by Josh Bressers
Modified: 2013-07-02 19:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-25 11:02:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-13 17:50:19 EST
*** This bug has been split off bug 145049 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.13
17:30 -------

iDEFENSE has reported a stack based buffer overflow in xpdf.

The patch is here:
ftp://ftp.foolabs.com/pub/xpdf/xpdf-3.00pl3.patch


The iDEFENSE advisory is attachment 109745 [details]

This issue should also affect FC2
Comment 1 Josh Bressers 2005-01-14 07:16:05 EST
The patch URL does not yet work.  We don't have a patch from upstream yet.  I'll
update the bugs as soon as I know.
Comment 2 Mark J. Cox (Product Security) 2005-01-19 05:24:26 EST
Now public, see URL for patch, removing embargo
Comment 3 Jindrich Novy 2005-01-25 11:02:26 EST
Update for FC2/FC3 has been released.

Note You need to log in before you can comment on or make changes to this bug.